Subject: Re: [PATCH] iproute2: show network device dependency tree

From: Zaboj Campula <[email-masked]>
Date: Tue, 28 Feb 2017 20:07:37 +0000

On Mon, 2017-02-27 at 17:38 +0100, Jiri Benc wrote:
> 
> It produces dot (graphviz) output or json and has no dependencies on
> anything GUI related. Just run it on the remote machine and display the
> output locally.
> 
> ssh root@remote plotnetcfg | dot -Tpdf | whatever_pdf_viewer
> 
> Note that some pdf viewers can't read stdin or require dash as the
> parameter to use stdin.
> 
> I don't think it's possible to enhance iproute2 to display the network
> interface dependencies in an useful way. It's just too complex. It's
> not even a (undirected) tree.

I know there is an option to execute something remotely but I think 
a pure text output may be useful to get a quick overview.

Well it is impossible to draw a simple tree showing the configuration
exactly with all details. May be it is too ambitious to draw a tree
at all. But neither directory structure is a tree (when consider links)
and there are a plenty of tools showing directory tree.